package elements;

public interface Destructible 
{
	/**
	 * Savoir si l'objet est detruit
	 * @return vrai si l'objet est mort
	 */
	public boolean estMort();
	
	/**
	 * Enlve de l'ennergie  l'objet
	 */
	public void enleverEnergie();
	
	/**
	 * Enlve de l'ennergie  l'objet
	 */
	public void enleverEnergie( int e );
	
	/**
	 * recupre l'ennergie de l'objet
	 * @return
	 */
	public int getEnergie();
	
	/**
	 * Detruis l'objet
	 */
	public void tuer();
}
