package elements.ennemis;

import elements.Tir;

public class EnnemiInvincibleTir extends Ennemi
{

	/**
	 * Ennemi indestructible par les tirs
	 * @param valeurX position x
	 * @param valeurY position y
	 * @param en energie
	 */
	public EnnemiInvincibleTir(int valeurX, int valeurY, int en, int b) 
	{
		super(valeurX, valeurY, 5, en, b);
		points = 30;
	}

	/**
	 * Ne peut pas etre detruit par des tirs
	 * @param t tir
	 */
	public void collision( Tir t)
	{
		collision(t,false);	
	}

}
