package menus;

import java.awt.Toolkit;
import javax.swing.ImageIcon;

/**
 * 
 * @author Simon Mahieux et Jerome Baudoux
 *
 */
public class MenuPrincipal extends Menu
{

	private static final long serialVersionUID = 1L;
	
	/**
	 * Constructeur d'un Menu Principal
	 */
	public MenuPrincipal()
	{
		menu 		= new ImageIcon [5];
		menuChoix 	= new ImageIcon [5];
			
		menu[0] = new ImageIcon(Toolkit.getDefaultToolkit().getImage("Images/Menus/Choix/lancerJeu0.png"));
		menu[1] = new ImageIcon(Toolkit.getDefaultToolkit().getImage("Images/Menus/Choix/options0.png"));
		menu[2] = new ImageIcon(Toolkit.getDefaultToolkit().getImage("Images/Menus/Choix/scores0.png"));
		menu[3] = new ImageIcon(Toolkit.getDefaultToolkit().getImage("Images/Menus/Choix/aide0.png"));		
		menu[4] = new ImageIcon(Toolkit.getDefaultToolkit().getImage("Images/Menus/Choix/quitterJeu0.png"));
		
		menuChoix[0] = new ImageIcon(Toolkit.getDefaultToolkit().getImage("Images/Menus/Choix/lancerJeu1.png"));
		menuChoix[1] = new ImageIcon(Toolkit.getDefaultToolkit().getImage("Images/Menus/Choix/options1.png"));
		menuChoix[2] = new ImageIcon(Toolkit.getDefaultToolkit().getImage("Images/Menus/Choix/scores1.png"));
		menuChoix[3] = new ImageIcon(Toolkit.getDefaultToolkit().getImage("Images/Menus/Choix/aide1.png"));		
		menuChoix[4] = new ImageIcon(Toolkit.getDefaultToolkit().getImage("Images/Menus/Choix/quitterJeu1.png"));

		typeDeMenu = "MenuPrincipal";
		
		fond = new ImageIcon(Toolkit.getDefaultToolkit().getImage("Images/Menus/menu.png"));
	}
	
	
	/**
	 * VRAI SI LE JEU DOIT ETRE LANCE
	 */
	public boolean lancerJeu() 
	{
		return choix == 0 && clavier.estEntrer();
	}
	
	/**
	 * VRAI SI LE DOIS AFFICHER LES SCORES
	 */
	public boolean menuOptions() 
	{
		return choix == 1 && clavier.estEntrer();
	}
	
	/**
	 * VRAI SI LE DOIS AFFICHER LES SCORES
	 */
	public boolean menuScore() 
	{
		return choix == 2 && clavier.estEntrer();
	}
	
	/**
	 * VRAI SI LE JEU DOIT AFFICHER L'AIDE
	 */
	public boolean menuAide() 
	{
		return choix == 3 && clavier.estEntrer();
	}		
	
	/**
	 * VRAI SI LE JEU DOIT ETRE QUITTE
	 */
	public boolean quitterJeu() 
	{
		return choix == 4 && clavier.estEntrer();
	}	

}
