package editeur;

/**
 * 
 * @author Simon Mahieux et Jerome Baudoux
 *
 */
public class Case 
{
    int type;
    int bonus;
    
    /**
     * Constructeur
     * @param t type de la brique
     * @param b type de bonus
     */
    public Case(int t, int b) 
    {
        type    =   t;
        bonus   =   b;
    }
    
    /**
     * Rebvoie le type de la brique
     * @return type de la brique
     */
    public int getType() 
    {
        return type;
    }
    
    /**
     * Renvoie le type de bonus
     * @return type de bonus
     */
    public int getBonus() 
    {
        return bonus;
    }
    
    /**
     * Modifie le type de la brique
     * @param t type de la brique
     */
    public void setType(int t) 
    {
        type=t;
    }
    
    /**
     * Modifie le type du bonus
     * @param b type de bonus
     */
    public void setBonus(int b) 
    {
        bonus=b;
    }

    /**
     * Renvoie une chaine definissant la case
     */
    public String toString() 
    {
        String res = new String();
        res+=type+":"+bonus;
        return res;
    }
    
    /**
     * Main test
     * @param args
     */
    public static void main(String[] args) 
    {
        Case a = new Case(1,0);
        System.out.println(a.toString());
    }
}
