package elements.ennemis;

import elements.Balle;

public class EnnemiInvincibleBalle extends Ennemi
{
	/**
	 * Ennemi indestructible contre les balles
	 * @param valeurX position x
	 * @param valeurY position y
	 * @param en energie
	 */
	public EnnemiInvincibleBalle(int valeurX, int valeurY, int en, int b) 
	{
		super(valeurX, valeurY, 6, en, b);
		points = 25;
	}
	
	/**
	 * Ne peut pas etre detruit par des balles
	 * @param t tir
	 */
	public boolean collision( Balle b )
	{
		return collision(b,false);	
	}

}
