package elements.ennemis;

import elements.Tir;

public class EnnemiInvincibleTirReponds extends Ennemi
{
	/**
	 * Ennemi indestructible par les tirs
	 * @param valeurX position x
	 * @param valeurY position y
	 * @param en energie
	 */
	public EnnemiInvincibleTirReponds(int valeurX, int valeurY, int en, int b) 
	{
		super(valeurX, valeurY, 7, en, b);
		points = 35;
	}

	/**
	 * Ne peut pas etre detruit par des tirs
	 * @param t tir
	 */
	public void collision( Tir t)
	{
		if( collision(t,false) )
			tirer();
	}
}
