package menus;

import java.awt.Graphics2D;
import java.awt.Toolkit;
import javax.swing.ImageIcon;

/**
 * 
 * @author Simon Mahieux et Jerome Baudoux
 *
 */
public class MenuFinJeu extends Menu
{
	private static final long serialVersionUID = 1L;
	
	private int temps;

	/**
	 * Cree un menu fin jeu
	 */
	public MenuFinJeu()
	{
		typeDeMenu = "MenuFinJeu";
		fond = new ImageIcon(Toolkit.getDefaultToolkit().getImage("Images/Menus/fin.png"));
		temps = 13500;
	}

	/**
	 * Raffraichi le menu
	 * @param t temps de la frame precedente
	 */
	public void raffraichir( long t ) 
	{
		temps -= t;
	}
	
	/**
	 * Dessinne le menu
	 * @param graphics2D flux
	 */
	public void dessinner( Graphics2D graphics2D ) 
	{
		graphics2D.drawImage( fond.getImage(),0,0, null );		
	}
	
	/**
	 * Retour au Menu Principal
	 * @return vrai si doit retourner au menu
	 */
	public boolean menuPrincipal()
	{
		return temps < 0 || clavier.estEntrer();
	}
}
